Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class ExternalGroovyClassDoc

- org.codehaus.groovy.tools.groovydoc.ExternalGroovyClassDoc

- All Implemented Interfaces and Traits:
    GroovyClassDoc

      public class ExternalGroovyClassDoc
      extends Object

  Represents a class not in the codebase being processed.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `rawCommentText`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExternalGroovyClassDoc (Class externalClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyAnnotationRef[]` | `annotations()`
    `` | `String` | `commentText()`
    `` | `int` | `compareTo(Object o)`
    `` | `GroovyConstructorDoc[]` | `constructors()`
    `` | `GroovyConstructorDoc[]` | `constructors(boolean filter)`
    `` | `GroovyClassDoc` | `containingClass()`
    `` | `GroovyPackageDoc` | `containingPackage()`
    `` | `boolean` | `definesSerializableFields()`
    `` | `GroovyFieldDoc[]` | `enumConstants()`
    `` | `boolean` | `equals(Object other)`
    `` | `Class` | `externalClass()`
    `` | `GroovyFieldDoc[]` | `fields()`
    `` | `GroovyFieldDoc[]` | `fields(boolean filter)`
    `` | `GroovyClassDoc` | `findClass(String className)`
    `` | `String` | `firstSentenceCommentText()`
    `` | `String` | `getFullPathName()`
    `` | `String` | `getRawCommentText()`
    `` | `String` | `getRelativeRootPath()`
    `` | `String` | `getTypeSourceDescription()`
    `` | `int` | `hashCode()`
    `` | `GroovyClassDoc[]` | `importedClasses()`
    `` | `GroovyPackageDoc[]` | `importedPackages()`
    `` | `GroovyClassDoc[]` | `innerClasses()`
    `` | `GroovyClassDoc[]` | `innerClasses(boolean filter)`
    `` | `GroovyType[]` | `interfaceTypes()`
    `` | `GroovyClassDoc[]` | `interfaces()`
    `` | `boolean` | `isAbstract()`
    `` | `boolean` | `isAnnotationType()`
    `` | `boolean` | `isAnnotationTypeElement()`
    `` | `boolean` | `isClass()`
    `` | `boolean` | `isConstructor()`
    `` | `boolean` | `isDeprecated()`
    `` | `boolean` | `isEnum()`
    `` | `boolean` | `isEnumConstant()`
    `` | `boolean` | `isError()`
    `` | `boolean` | `isException()`
    `` | `boolean` | `isExternalizable()`
    `` | `boolean` | `isField()`
    `` | `boolean` | `isFinal()`
    `` | `boolean` | `isIncluded()`
    `` | `boolean` | `isInterface()`
    `` | `boolean` | `isMethod()`
    `` | `boolean` | `isOrdinaryClass()`
    `` | `boolean` | `isPackagePrivate()`
    `` | `boolean` | `isPrimitive()`
    `` | `boolean` | `isPrivate()`
    `` | `boolean` | `isProtected()`
    `` | `boolean` | `isPublic()`
    `` | `boolean` | `isSerializable()`
    `` | `boolean` | `isStatic()`
    `` | `GroovyMethodDoc[]` | `methods()`
    `` | `GroovyMethodDoc[]` | `methods(boolean filter)`
    `` | `int` | `modifierSpecifier()`
    `` | `String` | `modifiers()`
    `` | `String` | `name()`
    `` | `GroovyFieldDoc[]` | `properties()`
    `` | `String` | `qualifiedName()`
    `` | `String` | `qualifiedTypeName()`
    `` | `GroovyFieldDoc[]` | `serializableFields()`
    `` | `GroovyMethodDoc[]` | `serializationMethods()`
    `` | `void` | `setRawCommentText(String arg0)`
    `` | `String` | `simpleTypeName()`
    `` | `boolean` | `subclassOf(GroovyClassDoc gcd)`
    `` | `GroovyClassDoc` | `superclass()`
    `` | `GroovyType` | `superclassType()`
    `` | `String` | `typeName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String rawCommentText

  - ### Constructor Detail

    - #### public ExternalGroovyClassDoc(Class externalClass)

  - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

    - #### public String commentText()

    - #### public int compareTo(Object o)

    - #### public GroovyConstructorDoc[] constructors()

    - #### public GroovyConstructorDoc[] constructors(boolean filter)

    - #### public GroovyClassDoc containingClass()

    - #### public GroovyPackageDoc containingPackage()

    - #### public boolean definesSerializableFields()

    - #### public GroovyFieldDoc[] enumConstants()

    - #### @Override public boolean equals(Object other)

    - #### public Class externalClass()

    - #### public GroovyFieldDoc[] fields()

    - #### public GroovyFieldDoc[] fields(boolean filter)

    - #### public GroovyClassDoc findClass(String className)

    - #### public String firstSentenceCommentText()

    - #### public String getFullPathName()

    - #### public String getRawCommentText()

    - #### public String getRelativeRootPath()

    - #### public String getTypeSourceDescription()

    - #### @Override public int hashCode()

    - #### public GroovyClassDoc[] importedClasses()

    - #### public GroovyPackageDoc[] importedPackages()

    - #### public GroovyClassDoc[] innerClasses()

    - #### public GroovyClassDoc[] innerClasses(boolean filter)

    - #### public GroovyType[] interfaceTypes()

    - #### public GroovyClassDoc[] interfaces()

    - #### public boolean isAbstract()

    - #### public boolean isAnnotationType()

    - #### public boolean isAnnotationTypeElement()

    - #### public boolean isClass()

    - #### public boolean isConstructor()

    - #### public boolean isDeprecated()

    - #### public boolean isEnum()

    - #### public boolean isEnumConstant()

    - #### public boolean isError()

    - #### public boolean isException()

    - #### public boolean isExternalizable()

    - #### public boolean isField()

    - #### public boolean isFinal()

    - #### public boolean isIncluded()

    - #### public boolean isInterface()

    - #### public boolean isMethod()

    - #### public boolean isOrdinaryClass()

    - #### public boolean isPackagePrivate()

    - #### public boolean isPrimitive()

    - #### public boolean isPrivate()

    - #### public boolean isProtected()

    - #### public boolean isPublic()

    - #### public boolean isSerializable()

    - #### public boolean isStatic()

    - #### public GroovyMethodDoc[] methods()

    - #### public GroovyMethodDoc[] methods(boolean filter)

    - #### public int modifierSpecifier()

    - #### public String modifiers()

    - #### public String name()

    - #### public GroovyFieldDoc[] properties()

    - #### public String qualifiedName()

    - #### public String qualifiedTypeName()

    - #### public GroovyFieldDoc[] serializableFields()

    - #### public GroovyMethodDoc[] serializationMethods()

    - #### public void setRawCommentText(String arg0)

    - #### public String simpleTypeName()

    - #### public boolean subclassOf(GroovyClassDoc gcd)

    - #### public GroovyClassDoc superclass()

    - #### public GroovyType superclassType()

    - #### public String typeName()